FANDOM


Epic has revealed the system requirements for Bulletstorm.

Minimum

  • Operating System Windows XP (SP3), Windows Vista (SP2), or Windows 7
  • Processor Intel Core 2 Duo, AMD Athlon X2, or equivalent, running at 1.6 GHz or greater
  • Memory (RAM) 1.5 GB
  • HDD Space 9 GB available
  • Video Card DirectX 9.0c compatible, 256 MB of VRAM; NVIDIA GeForce 7600 GS, ATI Radeon HD 2400 Pro 256 MB, or greater
  • Soundcard DirectX 9.0c compatible, 16-bit
  • Disc Drive 16X CD/DVD Drive
  • Network Internet (TCP/IP) connection

Recommended

  • Operating System Windows Vista (SP2), or Windows 7
  • Processor QuadCore 2.0 GHz
  • Memory (RAM) 2 GB
  • HDD Space 9 GB available
  • Video Card DirectX 9.0c compatible, 512MB of VRAM; NVIDIA GeForce GTX260, or ATI Radeon 4870
  • Soundcard DirectX 9.0c compatible, 16-bit
  • Disc Drive 16X CD/DVD Drive
  • Network Broadband Internet (TCP/IP) connection

Ad blocker interference detected!


Wikia is a free-to-use site that makes money from advertising. We have a modified experience for viewers using ad blockers

Wikia is not accessible if you’ve made further modifications. Remove the custom ad blocker rule(s) and the page will load as expected.